.feedback {
	margin-top: -3px;
	background: white url(./../../img/index/feedback/map.jpg) center/contain
		no-repeat;
	background-color: white;
	position: relative;
}

.feedback__container {
	min-height: 80vh;
	padding: 10px 0;
}

.feedback__content {
	min-height: 100%;
	margin-top: 80px;
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	grid-template-rows: repeat(2, 1fr);
	justify-items: center;
	align-items: center;
	gap: 60px 10px;
}

.feedback__leave-feedback {
	overflow: hidden;
	max-width: 100vw;
	z-index: 50;
	position: absolute;
	right: 0;
	top: 50%;
	display: flex;
	translate: 0 -50%;
	padding-left: 40px;
	min-height: 225px;
	max-height: 70vh;
}

.feedback__leave-feedback-button {
	position: absolute;
	left: 0;
	top: 50%;
	translate: 0 -50%;
	writing-mode: vertical-lr;
	scale: -1;
	color: white;
	background: #067bc0;
	border: 1px solid transparent;
	padding: 5px;
	border-radius: 10px;
	transition: all 0.5s ease-out;
	height: 200px;
}

.feedback__leave-feedback-button:hover,
.feedback__leave-feedback-button:focus {
	background: white;
	border-color: #067bc0;
	color: #067bc0;
}

.active .feedback__leave-feedback-button {
	height: 100%;
}

.feedback__leave-feedback-form {
	border: 4px solid #067bc0;
	background: white;
	border-radius: 20px;
	padding: 10px 10px 10px 0;
	transform: translateX(100%);
	transition: width 0.75s ease-out, transform 0.75s ease-out;
	width: 0;
	display: flex;
	justify-content: space-evenly;
	flex-direction: column;
	gap: 10px;
	max-width: 500px;
}

.active .feedback__leave-feedback-form {
	padding: 10px;
	transform: translateX(0);
	width: 300px;
}

.feedback__leave-feedback-form-input {
	padding: 5px;
	border-radius: 10px;
	border: 2px solid white;
	transition: all 0.5s ease;
	padding: 10px;
	color: #067bc0;
}

.feedback__leave-feedback-form-input:hover,
.feedback__leave-feedback-form-input:focus {
	border-color: #067bc0;
	background-color: white;
	color: #067bc0;
}

.feedback__leave-feedback__form-textarea {
	border-radius: 10px;
	resize: vertical;
	min-height: 100px;
	border: 2px solid white;
	transition: all 0.5s ease;
	padding: 10px;
	color: #067bc0;
}

.feedback__leave-feedback__form-textarea:hover,
.feedback__leave-feedback__form-textarea:focus {
	border-color: #067bc0;
	background-color: white;
	color: #067bc0;
}

.feedback__leave-feedback-form-file-input {
	display: none;
}

.feedback__leave-feedback-form-input-label {
	background: #067bc0;
	width: fit-content;
	border-radius: 10px;
	color: white;
	padding: 10px;
	border: 2px solid white;
	transition: all 0.5s ease;
	color: white;
}

.feedback__leave-feedback-form-input-label:hover,
.feedback__leave-feedback-form-input-label:focus {
	border-color: #067bc0;
	background-color: white;
	color: #067bc0;
}

.feedback__card {
	box-sizing: content-box;
	padding: 50px 8px 8px 8px;
	width: 290px;
	height: auto;
	display: flex;
	flex-direction: column;
	align-items: center;
	padding: 10px;
	border-radius: 20px;
	border: 3px solid #067bc0;
	background: white;
	position: relative;
}

.feedback__card-image {
	top: -70px;
	position: absolute;
	background-color: white;
	border-radius: 50%;
	height: 100px;
	object-fit: contain;
	transition: border 0.25s ease-in-out;
}

.feedback__card-image:hover {
	border: 5px solid #067bc0;
}

.feedback__card-stars {
	margin-top: 20px;
	display: flex;
	justify-content: space-evenly;
}

.feedback__card-text {
	text-align: center;
	font-size: 20px;
}

.feedback__card-author {
	margin-top: 8px;
	font-weight: bold;
}

.feedback__quote-top,
.feedback__quote-bottom {
	position: absolute;
	width: 40px;
}

.feedback__quote-top {
	top: -10px;
	left: -10px;
}

.feedback__quote-bottom {
	bottom: -10px;
	right: -10px;
}

@media (max-width: 992px) {
	.feedback__content {
		grid-template-columns: repeat(2, 1fr);
		grid-template-rows: repeat(3, 1fr);
		gap: 80px 10px;
	}

	.feedback__card {
		width: 300px;
	}
}

@media (max-width: 768px) {
	.feedback__content {
		grid-template-columns: 1fr;
		gap: 60px 10px;
	}

	.feedback__card {
		width: 300px;
		margin-top: 30px;
	}
}

@media (min-width: 992px) and (min-height: 630px) and (max-height: 770px) {
	.feedback__card-text {
		font-size: 16px;
	}

	.feedback__content {
		margin-top: 25px;
		gap: 20px 10px;
	}

	.feedback__card-image {
		top: -40px;
		height: 75px;
	}
}

.supporters__text {
	margin-top: 50px;
	text-align: justify;
}
